* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

body {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
}

.registration-border {
	border: 1px solid black;
	margin: 12px;
	padding: 16px;
	width: 25rem;
}

.registration-border .registration-border-div{
	position: relative;
	width: 0;
	height: 0;
	top: -30px;
}

.registration-border .registration-border-div p {
	padding: 4px;
	width: 100px;
	background: white;
	white-space: nowrap;
}

.registration-form-entry {
	padding: 4px;
	display: flex;
	align-items: center;
}

.registration-form-entry * {
	padding: 2px;
}

.registration-form-entry label{
	display: inline-block;
	width: 5rem;
}

.registration-form-entry *:not(label) {
	display: flex;
	justify-content: space-around;
	align-items: center;
	flex-grow: 1;
}

.registration-form-entry div div label {
	width: 100px;
	flex-grow: 0;
}
.registration-form-entry div div input {
	flex-grow: 0;

}

.registration-form-entry div {
	flex-wrap: wrap;
}

.registration-form-entry div div{
	display: flex;
	justify-content: center;
	align-items: center;
}

.registration-form-entry div div input{
	flex-grow: 1;
}